<?php
ini_set("safe_mode",0);
ini_set("open_basedir",0);

if(!empty($_POST['kol']) AND !empty($_POST['phone'])){
$kol=intval($_POST['kol']);
$cost=round($kol*0.06,2);
$phone=htmlspecialchars($_POST['phone']);
$ku['id']=intval($_POST['kuid']);
    try {
        $params = array(
            'action' => 'new',
            'cost' => ''.$cost.'',
            'name' => 'Покупка рубинов',
            'order_id' => ''.$ku['id'].'',
            'phone_number' => ''.$phone.'',
            'service_id' => '303',
            'skey' => 'vferme'
        );
        /*
            $params['action'] - действие, new - для инициализации платежа
            $params['cost'] - стоимость товара/услуги
            $params['name'] - название платежа
            $params['order_id'] - уникальный номер заказа или 0
            $params['phone_number'] - номер телефона клиента в формате 7XXXXXXXXXX
            $params['service_id'] - id сервиса
            $params['skey'] - секретное слово, вводится в настройках сервиса, передается в случае работы без шифрования
            $params['sig'] - зашифрованное секретное слово, вводится в настройках сервиса, передается в случае работы с шифрованием
        */
        $url = "http://paytools.ru/api/commerce.php";
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL,$url);
        curl_setopt($ch, CURLOPT_FAILONERROR, 1);
        curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER,1);
        curl_setopt($ch, CURLOPT_POST, 1);
        curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($params));
        $result = curl_exec($ch);
        curl_close($ch);
        //print_r( (array)json_decode($result) );
        $arr=(array)json_decode($result);
        if(!empty($arr['status']) AND $arr['status']=='success'){header("Location: http://vferme.com/payment/mobile/ok-$cost ");exit;
}else{
        header("Location: http://vferme.com/payment/mobile/error ");exit;}

        /*
            в случае успеха
            $result['status'] - success
            $result['tid'] - id транзакции
            $result['help'] - текст, который описывает процедуру оплаты через мобильную коммерцию

            в случае неудачи
            $result['status'] - error
            $result['msg'] - сообщение об ошибке
        */
    } catch(Exception $e) {

    }
}else{echo'error ';}
?>